/* =======================================================================
	LCD.h	: LCD Interface Routine
 ======================================================================= */

#ifndef _LCD_
#define _LCD_

#ifndef bool 
#define	bool char
#endif

#ifndef true
#define true 1
#endif

#ifndef false
#define false 0
#endif

/*======================================================================================
֐F		CmWrite
@\F			LCDɈŗ^f[^
======================================================================================*/
extern void CmWrite(char cmd);

/*======================================================================================
֐F		CmRead
@\F			LCD̃|[gf[^ǂݍ
======================================================================================*/
extern char CmRead();

/*======================================================================================
֐F		IsLCDBusy
@\F			LCDBUSYԂ`FbNBLCD쒆̎ɂtrueԂB
======================================================================================*/
extern bool IsLCDBusy();

/*======================================================================================
֐F		LcdCmd
@\F			LCDɃR}h𑗂B
======================================================================================*/
extern void LcdCmd(char cmd);

/*======================================================================================
֐F		LcdDat
@\F			LCDRAMɏށB
======================================================================================*/
extern void LcdDat(char dat);

/*======================================================================================
֐F		LcdCls
@\F			LCD̕\NAB
======================================================================================*/
extern void LcdCls();

/*======================================================================================
֐F		LcdDisplayMode
@\F			LCD̕\[hݒ肷
				disp:		LCDŜ̕\ON/OFF
				cursor:		J[\\ON/OFF
				blink		J[\ʒũ̕uNON/OFF
======================================================================================*/
extern void LcdDisplayMode(char disp, char cursor,char blink);

/*======================================================================================
֐F		LcdInit
@\F			LCD̏BN1񂾂Ăяo
				mode==4̎A4bitANZXBȊO8bitANZX
======================================================================================*/
extern void LcdInit(char mode);

/*======================================================================================
֐F		LcdPutc
@\F			ݐݒ肳ĂLCDDDRAMAhX1o͂
======================================================================================*/
extern void LcdPutc(char c);

/*======================================================================================
֐F		LcdPuts
@\F			ݐݒ肳ĂLCDDDRAMAhX֕o͂
======================================================================================*/
extern void LcdPuts(char *str);

/*======================================================================================
֐F		LcdInit
@\F			DDRAM̃AhXZbg
				x:i0`7j
				Y:si0`1j
======================================================================================*/
extern void LcdXy(char x,char y);

/*======================================================================================
֐F		LcdWaitReady
@\F			BUSYȊԃ|[Ođҋ@
======================================================================================*/
#define LCDWaitReady() while(IsLCDBusy())

/*======================================================================================
֐F		LcdPuts
@\F			x,yŎꂽʒu֕s\
======================================================================================*/
#define LcdOutXy(x,y,s) LcdXy(x,y); LcdPuts(s)

#endif /*end of #ifndef _LCD_*/
